package com.isu.gaswellwatch.dao;

import java.util.Collection;
import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.isu.gaswellwatch.vo.GasWellVO;
import com.isu.gaswellwatch.entity.GasWell;

/**
 * 气井Mapper接口
 * 
 * @author scwsl
 * @date 2024-11-17
 */
@Mapper
@Repository
public interface GasWellDao extends BaseMapper<GasWell>  {
    /**
     * 查询气井
     * 
     * @param id 气井主键
     * @return 气井
     */
    GasWellVO selectGasWellById(Long id);

    /**
     * 查询气井列表
     *
     * @param gasWell 气井
     * @return 气井集合
     */
    List<GasWell> selectGasWellList(GasWell gasWell);

    /**
     * 分页查询气井列表
     *
     * @param blockId
     * @return 气井
     */
    Page<GasWellVO> pageForQuery(Page<GasWellVO> page, String name, Long blockId);

    /**
     * 新增气井
     * 
     * @param gasWell 气井
     * @return 结果
     */
    int insertGasWell(GasWell gasWell);

    /**
     * 修改气井
     * 
     * @param gasWell 气井
     * @return 结果
     */
    int updateGasWell(GasWellVO gasWell);

    /**
     * 删除气井
     * 
     * @param id 气井主键
     * @return 结果
     */
    int deleteGasWellById(Long id);

    /**
     * 批量删除气井
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteGasWellByIds(Collection<Long> ids);

}
