package com.isu.gaswellwatch.modbus.data.decode.impl;

import com.isu.gaswellwatch.modbus.data.ModbusMessage;
import com.isu.gaswellwatch.modbus.data.decode.DecodeHandler;
import jakarta.annotation.Resource;
import lombok.extern.slf4j.Slf4j;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Component;

/**
 * KNPCV1 柱塞器解析
 *
 * @author <a href="mailto:shilong.wang@alpha-ess.com">王仕龙</a>
 * 2024/11/23 11:23
 */
@Slf4j
@SuppressWarnings("all")
@Component(Knpcv1DecodeHandler.MODBUS_DEVICE_TYPE + "_1")
public class Knpcv1DecodeHandler implements DecodeHandler {

    public static final String MODBUS_DEVICE_TYPE = "KNPCV1";
    private static final String COMMAND_POINT_SQL = "select * from command_points where command_id = ?";

    @Resource
    private JdbcTemplate jdbcTemplate;

    @Resource(name = "redisTemplate")
    private RedisTemplate redisTemplate;

    @Override
    public void decode(ModbusMessage.MessagePoint point) {

    }

}
